Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatHistory

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Messages>
it.tdlight.jni.TdApi.GetChatHistory

Enclosing class:
  TdApi

public static final class TdApi.GetChatHistory extends TdApi.Function<TdApi.Messages>
Returns messages in a chat. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib. This is an offline request if onlyLocal is true.

Returns `Messages`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`long`
`fromMessageId`
Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.
`int`
`limit`
The maximum number of messages to be returned; must be positive and can't be greater than 100.
`int`
`offset`
Specify 0 to get results from exactly the message fromMessageId or a negative offset up to 99 to get additionally some newer messages.
`boolean`
`onlyLocal`
Pass true to get only messages that are available without sending network requests.

## Constructor Summary

Constructors
Constructor
Description
`GetChatHistory()`
Returns messages in a chat.
`GetChatHistory(long chatId, long fromMessageId, int offset, int limit, boolean onlyLocal)`
Returns messages in a chat.
`GetChatHistory(DataInput input)`
Returns messages in a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### fromMessageId

public long fromMessageId
Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.

### offset

public int offset
Specify 0 to get results from exactly the message fromMessageId or a negative offset up to 99 to get additionally some newer messages.

### limit

public int limit
The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, the limit must be greater than or equal to -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.

### onlyLocal

public boolean onlyLocal
Pass true to get only messages that are available without sending network requests.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetChatHistory

public GetChatHistory()
Returns messages in a chat. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib. This is an offline request if onlyLocal is true.

Returns `Messages`

### GetChatHistory

public GetChatHistory(long chatId, long fromMessageId, int offset, int limit, boolean onlyLocal)
Returns messages in a chat. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib. This is an offline request if onlyLocal is true.

Returns `Messages`

Parameters:
  `chatId` - Chat identifier.
  `fromMessageId` - Identifier of the message starting from which history must be fetched; use 0 to get results from the last message.
  `offset` - Specify 0 to get results from exactly the message fromMessageId or a negative offset up to 99 to get additionally some newer messages.
  `limit` - The maximum number of messages to be returned; must be positive and can't be greater than 100. If the offset is negative, the limit must be greater than or equal to -offset. For optimal performance, the number of returned messages is chosen by TDLib and can be smaller than the specified limit.
  `onlyLocal` - Pass true to get only messages that are available without sending network requests.

  Returns `Messages`

### GetChatHistory

public GetChatHistory(DataInput input) throws IOException
Returns messages in a chat. The messages are returned in a reverse chronological order (i.e., in order of decreasing messageId). For optimal performance, the number of returned messages is chosen by TDLib. This is an offline request if onlyLocal is true.

Returns `Messages`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`